<?php
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Provide a for the plugin
 *
 * This file is used to produce HTML to display a card within a column.
 *
 * @link       https://plugins.internetmanagers.nl
 * @since      1.0.0
 *
 * @package    Inbound_Organizer
 * @subpackage Inbound_Organizer/admin/partials
 */
?>
<div class="inbound-organizer-card <?php echo esc_attr( $color_class ); ?>" data-id="<?php echo esc_html( $post->ID ); ?>">
    <?php
    // Display date and time.
    echo '<span class="inbound-organizer-card-datetime">'.esc_html( $card['date'] ).' '.esc_html( $card['time'] ).'</span>';
    // Display name, email and subject. If email is empty, it displays a message: configure layout.
    if ( $card['name'] ) {
        $name = esc_html( $card['name'] );
    } else {
        $name = '';
    }
    if ( $card['email'] ) {
        $email = esc_html( $card['email'] );
    } else {
        $email = esc_html( __( 'Click to configure layout', 'inbound-organizer' ) );;
    }
    if ( $card['subject'] ) {
        $subject = esc_html( $card['subject'] );
    } else {
        $subject = '';
    }
    echo '<h3>'.esc_html( $name ).'</h3>';
    echo '<p>'.esc_html( $email ).'<br/>';
    echo esc_html( $subject ).'</p>';
    ?>
    <?php // Display icon to delete card from the board. ?>
    <div class="inbound-organizer-card-trash">
    </div>
</div>