<?php
namespace Inbound_Organizer;

/**
 *
 * @since             1.0.0
 * @package           Inbound_Organizer
 *
 * @wordpress-plugin
 * Plugin Name:       Inbound Organizer
 * Plugin URI:        https://wordpress.org/plugins/inbound-organizer/
 * Description:       Keep track of submitted forms that need to be processed by you or your team.
 * Version:           1.0.0
 * Author:            DIM Plugins
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       inbound-organizer
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Current plugin version.
 */
define( 'INBOUND_ORGANIZER_VERSION', '1.0.0' );

/**
 * Derive plugin name from filename.
 */
define ( 'INBOUND_ORGANIZER_NAME', plugin_basename( __FILE__) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-inbound-organizer-activator.php
 */
function activate_inbound_organizer() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-inbound-organizer-activator.php';
	Inbound_Organizer_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-inbound-organizer-deactivator.php
 */
function deactivate_inbound_organizer() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-inbound-organizer-deactivator.php';
	Inbound_Organizer_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'Inbound_Organizer\\activate_inbound_organizer' );
register_deactivation_hook( __FILE__, 'Inbound_Organizer\\deactivate_inbound_organizer' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-inbound-organizer.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_inbound_organizer() {

	$plugin = new Inbound_Organizer();
	$plugin->run();

}

run_inbound_organizer();
