<?php
namespace Inbound_Organizer;
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Inbound_Organizer
 * @subpackage Inbound_Organizer/includes
 * @author     DIM Plugins <robin@internetmanagers.nl>
 */
class Inbound_Organizer_Activator {
	
	/**
	 * Code that runs when the plugin is activated.
	 *
	 * Retrieves column definitions from WP option. If not found, defaults are defined and stored.
	 * Retrieves general settings from WP option. If not found, default settings are set and stored.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		if ( ! get_option( 'inbound_organizer_columns' ) ) {
			$options = array (
				'number_of_columns' => 3,
				'column_name_1' => __( 'Column 1', 'inbound-organizer' ),
				'column_name_2' => __( 'Column 2', 'inbound-organizer' ),
				'column_name_3' => __( 'Column 3', 'inbound-organizer' ),
				'column_name_4' => '',
				'column_name_5' => '',
				'column_color_1' => 1,
				'column_color_2' => 1,
				'column_color_3' => 1,
				'column_color_4' => 1,
				'column_color_5' => 1
			);
			update_option( 'inbound_organizer_columns', $options );
		}
		if ( ! get_option( 'inbound_organizer_general' ) ) {
			$options = array (
				'sorting' => 1,
				'page_size' => 10
			);
			update_option( 'inbound_organizer_general', $options );
		}
	}
}
