<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @link       https://plugins.internetmanagers.nl
 * @since      1.0.0
 *
 * @package    Inbound_Organizer
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
}

//Remove registered setting groups
unregister_setting( 'inbound_organizer_columns', 'inbound_organizer_columns' );
unregister_setting( 'inbound_organizer_general', 'inbound_organizer_general' );

//Remove saved options from the database
delete_option( 'inbound_organizer_columns' );
delete_option( 'inbound_organizer_general' );
delete_option( 'inbound_organizer_debug' );
delete_option( 'inbound_organizer_cfdb7_layouts' );
delete_option( 'inbound_organizer_flamingo_layouts' );
delete_option( 'inbound_organizer_fluentform_layouts' );
delete_option( 'inbound_organizer_formidable_layouts' );
delete_option( 'inbound_organizer_forminator_layouts' );
delete_option( 'inbound_organizer_gravityforms_layouts' );
delete_option( 'inbound_organizer_ninjaforms_layouts' );



